Class TemplatesUpdateForTeamBuilder
java.lang.Object
com.dropbox.core.v2.fileproperties.TemplatesUpdateForTeamBuilder
The request builder returned by
DbxTeamFilePropertiesRequests.templatesUpdateForTeamBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withAddFields(List<PropertyFieldTemplate> addFields) Set value for optional field.withDescription(String description) Set value for optional field.Set value for optional field.
-
Method Details
-
withName
Set value for optional field.- Parameters:
name- A display name for the template. template names can be up to 256 bytes.- Returns:
- this builder
-
withDescription
Set value for optional field.- Parameters:
description- Description for the new template. Template descriptions can be up to 1024 bytes.- Returns:
- this builder
-
withAddFields
Set value for optional field.- Parameters:
addFields- Property field templates to be added to the group template. There can be up to 32 properties in a single template. Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.
-